.login-page {
  height: 100vh;
  width: 100%;
}
.from-content {
  max-width: 420px;
  margin: auto;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  padding: 40px 40px 48px;
  background-color: #ffffff;
  box-shadow: 0px 6px 12px #00000029;
  position: relative;
  top: 50%;
  transform: translate(0, -50%);
}
.from-content h1 {
  font-size: 18px;
  color: #353030;
  font-weight: 600;
  margin: 0 0 40px;
}
.from-content .from-list input {
  width: 100%;
  margin: 0;
  padding: 10px;
  border: 1px solid #e9e9e9;
  box-sizing: border-box;
  border-radius: 4px;
  font-size: 16px;
  line-height: normal;
}
.forgot-pass {
  margin-bottom: 30px;
}
.forgot-pass .tip-right {
  color: #353030;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
}
.forgot-pass .tip-right:hover {
  text-decoration: underline;
}
.from-content .submit-btn button {
  background-color: #fe4066;
  color: #fff;
  font-size: 16px;
  height: 44px;
  width: 100%;
  display: block;
  border-radius: 22px;
  border: none;
}
.from-content .tip.signup-tip {
  text-align: center;
  margin-top: 20px;
  font-size: 14px;
}
.from-content .tip.signup-tip span {
  margin-right: 8px;
}
.from-content .tip a {
  color: #fe4066;
  vertical-align: middle;
  text-decoration: none;
}
li {
  list-style-type: none;
}
/* Sidebar design start */
.main-dashboard {
  position: relative;
  min-height: 100%;
}
.navbar-left {
  max-width: 230px;
  width: 100%;
  bottom: 0;
  float: none;
  left: 0;
  position: fixed;
  top: 0;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  overflow: auto;
  background-color: #4b545c;
  padding: 20px 15px;
}
.main-body-part-right {
  width: calc(100% - 230px);
  margin-left: auto;
}
.nav-link {
  color: #fff;
  display: flex;
  align-items: center;
  transition: 0.3s;
}
.nav-link:hover {
  color: #fff;
  background-color: #cccccc38;
}
.nav-link:focus {
  color: #fff;
}
.nav-link:focus-visible {
  outline: none;
}
.navbar-icon {
  max-width: 25px;
  margin-right: 10px;
  width: 100%;
}
.nav-item {
  margin-bottom: 10px;
}
/* Sidebar design end */
/* Header design start */
.main-header {
  display: flex;
  justify-content: space-between;
  padding: 15px;
  box-shadow: 0px 6px 12px #00000029;
  margin-bottom: 30px;
}
.header-title {
  margin: 0;
  font-size: 24px;
  line-height: normal;
  font-weight: bold;
}
.drp-btn-header .dropdown-toggle {
  background-color: transparent;
  color: #000;
  border: none;
  display: flex;
  align-items: center;
  padding-right: 15px;
  padding-left: 0;
}
.drp-btn-header .dropdown-toggle svg {
  margin-right: 10px;
  margin-top: 2px;
}
.drp-btn-header .dropdown-toggle::after {
  margin-top: 5px;
  margin-left: 10px;
}
.drp-btn-header .dropdown-toggle:focus {
  box-shadow: unset;
}
.drp-btn-header .dropdown-toggle:focus-visible {
  outline: none;
}
.drp-btn-header.show .dropdown-toggle {
  background-color: transparent;
  color: #000;
}
.drp-btn-header.show .dropdown-toggle:focus {
  box-shadow: unset;
}
.drp-btn-header.show .ladda-button {
  background-color: transparent;
  border: none;
  width: 100%;
}
.drp-btn-header .dropdown-item:active {
  background-color: #e9ecef;
}
/* Header design end */
.body-content-right {
  padding: 15px;
}
.filter-btn-section .from-list {
  display: flex;
  align-items: center;
  margin-bottom: 30px;
}
.filter-btn-section .from-list span {
  margin-right: 15px;
}
.filter-btn-section .from-list .mb-3 {
  margin-bottom: 0 !important;
  width: 15%;
}
.filter-btn-section .from-list .form-control:focus {
  box-shadow: unset;
  border-color: inherit;
}
.search-input {
  display: flex;
  margin-bottom: 20px;
  position: relative;
}
.plan-journey {
  max-width: 600px;
  margin: 0 auto;
  padding-top: 40px;
}
.plan-journey .search-input .from-list {
  width: 100%;
  position: relative;
}
.full-width {
  width: 100%;
}
.date-picker input {
  width: 100%;
  padding: 0.375rem 0.75rem;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
}
.plan-journey .submit-btn .ladda-button {
  height: 100%;
  padding: 0.375rem 0.75rem;
  border-radius: 0.25rem;
  background-color: #fe4066;
  color: #fff;
  font-size: 16px;
  width: 100%;
  display: block;
  border: none;
}
.form-control:focus {
  box-shadow: unset;
  border: 1px solid #ced4da;
}
.drp-listing {
  position: absolute;
  z-index: 9;
  width: 100%;
  height: auto;
  top: 38px;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
}
.search-input .form-control {
  padding-left: 20px;
  padding-right: 20px;
}
.drp-listing > div {
  padding: 10px;
}
.drp-listing > div:hover {
  cursor: pointer;
  background-color: #ced4da;
}
.search-input .mb-3 {
  margin-bottom: 0 !important;
}
.search-input::before {
  content: '';
  position: absolute;
  width: 38px;
  height: 38px;
  background-color: #fff;
  z-index: 1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 100%;
  border: 1px solid #ced4da;
}
.search-input::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 25px;
  height: 25px;
  z-index: 1;
  background-image: url(../images/transfer.png);
  background-size: 100%;
  background-repeat: no-repeat;
}
.plan-journey .search-input .from-list:last-child .form-control {
  padding-left: 35px;
}
.add-new-station button {
  padding: 0.375rem 0.75rem;
  border-radius: 0.25rem;
  background-color: #fe4066;
  color: #fff;
  font-size: 16px;
  width: 100%;
  display: block;
  border: none;
}
.filter-btn-section input {
  width: 275px;
}
.text-danger {
  font-size: 14px;
}
.delete-icon svg {
  fill: red;
}
.add-btn {
  padding: 0.375rem 0.75rem;
  border-radius: 0.25rem;
  background-color: #fe4066;
  color: #fff;
  font-size: 16px;
  display: block;
  border: none;
  margin: 0;
  border: 1px solid #fe4066;
}
.btn-cancel-btn {
  margin: 0;
  padding: 0.375rem 0.75rem;
  border: 1px solid #ced4da;
}
.modal-footer .btn {
  margin-left: 15px;
}
.responsive-menu {
  display: none;
}
.delete-icon img {
  max-width: 17px;
  cursor: pointer;
}
.pagination {
  justify-content: center;
}
.pagination a {
  padding: 5px 15px;
  padding-bottom: 7px;
  text-decoration: none;
  color: rgba(0, 0, 0, 0.5);
  margin: 0 5px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
  line-height: normal;
  transition: 0.5s;
}
.pagination a:hover {
  text-decoration: none;
  background-color: #4b545ca3;
  color: #fff;
  border-color: #4b545c;
}
.pagination .active a {
  text-decoration: none;
  background-color: #4b545ca3;
  color: #fff;
  border-color: #4b545c;
}
.pagination-section {
  margin-top: 30px;
}
.submit-btn .ladda-button {
  transition: 0.2s;
  border: 1px solid #fe4066 !important;
}
.submit-btn .ladda-button:hover {
  background: #fff !important;
  color: #fe4066 !important;
  border: 1px solid #fe4066 !important;
}
@media (max-width: 800px) {
  .navbar-left {
    display: none;
  }
  .responsive-menu {
    display: block;
  }
  .main-body-part-right {
    width: 100%;
    padding-top: 20px;
  }
  .toggle-menu {
    position: fixed;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    background-color: #4b545c;
    top: 0;
    width: 230px;
    height: 100%;
    z-index: 9;
    left: 0;
    padding-top: 40px;
  }
  .responsive-menu {
    display: block;
    position: absolute;
    left: 15px;
    top: 10px;
    cursor: pointer;
    z-index: 9;
  }
  .close-toggle {
    position: absolute;
    right: 20px;
    top: 20px;
  }
  .close-toggle svg {
    width: 20px;
    height: 20px;
    fill: #fff;
    stroke-width: 50px;
    stroke: #fff;
  }
  .toggle-menu .nav-sidebar {
    margin-top: 10px;
  }
  .header-title {
    font-size: 17px;
  }
  .main-header {
    box-shadow: 0px 10px 12px #00000029;
  }
}

@media (max-width: 575px) {
  .main-header {
    flex-wrap: wrap;
    padding-top: 20px;
  }
  .main-header h3 {
    width: 100%;
    margin-bottom: 10px;
  }
  .drp-btn-header .dropdown-toggle {
    padding: 0;
    padding-bottom: 10px;
  }
  .plan-journey {
    padding-top: 15px;
  }
}

@media (max-width: 414px) {
  .journey-btn .col-6 {
    width: 100%;
    margin-bottom: 15px;
  }
  .search-input {
    flex-wrap: wrap;
  }
  .search-input .from-list:first-child .mb-3 {
    margin-bottom: 15px !important;
  }
  .search-input::after {
    transform: translate(-50%, -50%) rotate(90deg);
  }
  .search-input .form-control {
    padding-left: 10px;
  }
  .plan-journey .search-input .from-list:last-child .form-control {
    padding-left: 10px;
  }
}
